package edu.uoc.prezmm.a1list2cook.objects_class;

public class Recipes {
    private int code;
    private String title;
    private String description;
    private String time;
    private String rations;
    private String image;
    private int categoryID;
    private String category;

    public Recipes(String code, String title, String description, String time, String rations, String image, String categoryID, String category) {
        this.code = Integer.parseInt(code);
        this.title = title;
        this.description = description;
        this.time = time;
        this.rations = rations;
        this.image = image;
        this.categoryID = Integer.parseInt(categoryID);
        this.category = category;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public String getRations() {
        return rations;
    }

    public void setRations(String rations) {
        this.rations = rations;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public int getCategoryID() {
        return categoryID;
    }

    public void setCategoryID(int categoryID) {
        this.categoryID = categoryID;
    }
}
